Skip to content

Get Account Details

GET
/v1/account

Fetch a shopper's account details to pre-fill checkout fields. This request must come from your backend for security purposes, as it requires the use of your private key to authenticate. For PCI compliance, only limited information is returned for each credit card available in the shopper’s wallet.

Authorization

OAuth bolt.account.manage, bolt.account.viewX-API-Key
AuthorizationBearer <token>

Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs. For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}. Read more about the OAuth token endpoint.

In: header

Scope: bolt.account.manage, bolt.account.view

X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Header Parameters

X-Publishable-Key?string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].

Response Body

application/json

curl -X GET "https://example.com/v1/account"
{  "addresses": [    {      "company": "Bolt",      "country": "United States",      "country_code": "US",      "door_code": "123456",      "email_address": "alan.watts@example.com",      "first_name": "Alan",      "id": "string",      "last_name": "Watts",      "locality": "Brooklyn",      "name": "Alan Watts",      "phone_number": "+12125550199",      "postal_code": "10044",      "priority": "primary",      "region": "NY",      "region_code": "NY",      "street_address1": "888 main street",      "street_address2": "apt 3021",      "street_address3": "c/o Alicia Watts",      "street_address4": "Bridge Street Apartment Building B",      "default": true,      "metadata": {        "customer_id": 234      }    }  ],  "has_bolt_account": true,  "payment_methods": [    {      "billing_address": {        "company": "Bolt",        "country": "United States",        "country_code": "US",        "door_code": "123456",        "email_address": "alan.watts@example.com",        "first_name": "Alan",        "id": "string",        "last_name": "Watts",        "locality": "Brooklyn",        "name": "Alan Watts",        "phone_number": "+12125550199",        "postal_code": "10044",        "priority": "primary",        "region": "NY",        "region_code": "NY",        "street_address1": "888 main street",        "street_address2": "apt 3021",        "street_address3": "c/o Alicia Watts",        "street_address4": "Bridge Street Apartment Building B"      },      "id": "string",      "last4": "4021",      "exp_month": 11,      "exp_year": 2024,      "network": "visa",      "default": true,      "type": "card",      "description": "string",      "metadata": {        "customer_id": 234      }    }  ],  "profile": {    "email": "alan.watts@example.com",    "first_name": "Alan",    "last_name": "Watts",    "metadata": {      "customer_id": 234    },    "name": "Alan Watts",    "phone": "+12125550199"  }}